#ifndef PIMBARGEN_H_SEEN
#define PIMBARGEN_H_SEEN

#include "pisysdep.h"
#include PIMENU_H

class PIApplicationGen;

class PIMenubarGen : public PIWdg {
public:
  enum {ClassId = 2600};

	            PIMenubarGen(PIApplicationGen* par, char* nom);
	            ~PIMenubarGen();
				   
  virtual void      AppendMenu(PIMenu *pdm)=0;
  virtual void      RemoveMenu(PIMenu *pdm)=0;
  virtual void      SetSensitivity(PIMenu *pdm, bool sens=true)=0;
  virtual bool      IsSensitive(PIMenu *pdm)=0;

  virtual long      kind() {return ClassId; }
};

#endif
